package com.tanpu.feo.feojob.dao.user.mapper;

import com.tanpu.feo.feojob.dao.user.entity.Tag;
import com.tanpu.feo.feojob.dao.user.entity.TagExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface TagMapper {
    @Select("select distinct id from tag where org_id=#{orgId}")
    List<String> selectDistinctIdByOrgId(@Param("orgId") String orgId);

    long countByExample(TagExample example);

    int deleteByExample(TagExample example);

    int deleteByPrimaryKey(String id);

    int insert(Tag record);

    int insertSelective(Tag record);

    List<Tag> selectByExample(TagExample example);

    Tag selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") Tag record, @Param("example") TagExample example);

    int updateByExample(@Param("record") Tag record, @Param("example") TagExample example);

    int updateByPrimaryKeySelective(Tag record);

    int updateByPrimaryKey(Tag record);
}